Subject: I can never finish a push

From: Martin L Resnick <[email-masked]>
Date: Fri, 23 Dec 2011 08:11:15 -0500

I'm working remotely over a VERY slow line.

When I do a push it starts out fine
but after the 15 seconds it takes to push
it fails with non-fast-forward merge.

So I pull (no merge needed, its fast-forward)
and try push again. Fails again.

I can keep this up for hours on end;
pushing, pulling, pushing, pulling.
Apparently there is fast and furious development
on the branch I'm on that during my 15 seconds
of pushing someone else on-site pushes and adds
new commits before mine can finish.

Is there anyway to lock the repository while
my push is going on ?

Please don't ask why I have a slow line
or why the volume of changes that I am pushing.
Suffice it to say its military work.